altosdroid: Deal with multiple installed android SDKs
authorKeith Packard <keithp@keithp.com>
Fri, 24 Jun 2016 19:07:36 +0000 (12:07 -0700)
committerKeith Packard <keithp@keithp.com>
Thu, 30 Jun 2016 02:17:45 +0000 (19:17 -0700)
Use the latest SDK's zipalign

Signed-off-by: Keith Packard <keithp@keithp.com>
altosdroid/Makefile.am

index 295abbc..686aeab 100644 (file)
@@ -15,7 +15,7 @@ ADB=$(SDK)/platform-tools/adb
 AAPT=$(SDK)/platform-tools/aapt
 APKBUILDER=$(SDK)/tools/apkbuilder
 ZIPALIGN_A=$(SDK)/tools/zipalign
-ZIPALIGN_B=$(SDK)/build-tools/*/zipalign
+ZIPALIGN_B=$(shell ls $(SDK)/build-tools/*/zipalign | tail -1)
 
 JAVA_SRC_DIR=src/org/altusmetrum/AltosDroid
 EXT_LIBDIR=libs